package domain

type AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolRemoveitemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItempoolRemoveitemChannelConfig) *AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
